%define upstream_name Cwd-Guard
%define upstream_version 0.05

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Temporary changing working directory (chdir)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Cwd/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Cwd)
BuildRequires: perl(Exporter)
BuildRequires: perl(Module::Build) >= 0.380.0
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Requires)
BuildRequires: perl(if)
BuildRequires: perl(parent)
BuildArch:  noarch

%description
CORE::chdir Cwd:: Guard can change the current directory (chdir) using a
limited scope.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.50.0-5.mga9
+ Revision: 1802777
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.50.0-4.mga8
+ Revision: 1493633
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.50.0-3.mga7
+ Revision: 1266824
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.50.0-2.mga6
+ Revision: 1024766
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 0.50.0-1.mga6
+ Revision: 1001753
- update to 0.05

* Fri Feb 19 2016 umeabot <umeabot> 0.40.0-6.mga6
+ Revision: 969247
- Mageia 6 Mass Rebuild

* Sat Aug 15 2015 sander85 <sander85> 0.40.0-5.mga6
+ Revision: 864999
- Fix BRs

* Sat Oct 18 2014 umeabot <umeabot> 0.40.0-4.mga5
+ Revision: 787995
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.40.0-3.mga5
+ Revision: 743971
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.40.0-2.mga5
+ Revision: 684081
- Mageia 5 Mass Rebuild

* Sat May 17 2014 sander85 <sander85> 0.40.0-1.mga5
+ Revision: 623422
- imported package perl-Cwd-Guard

